import sqlalchemy as sa

from src.tables.metadata import metadata


department_role_fact_table = sa.Table(
    'department_role_fact',
    metadata,
    sa.Column('id', sa.BigInteger, primary_key=True, autoincrement=True),
    sa.Column('entity_id', None, sa.ForeignKey('department_entity.id')),

    sa.Column('source_modification_id', sa.BigInteger, nullable=False),
    sa.Column('source_modification_date', sa.DateTime, nullable=False),
)

